New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Allow old version of Python 2.7 to use TLS #310

Merged
merged 1 commit into from Nov 14, 2017

Conversation

2 participants
@NicolasLM
Collaborator

NicolasLM commented Nov 9, 2017

The modern implementation of ssl using SSLContext appeared in
Python 2.7.9. Previous versions can use encrypted connections but
cannot precisely configure it.

Fixes #301

@NicolasLM NicolasLM requested a review from mjs Nov 9, 2017

@mjs

mjs approved these changes Nov 13, 2017

Just little language tweaks

Show outdated Hide outdated doc/src/concepts.rst
Show outdated Hide outdated doc/src/concepts.rst
Allow old version of Python 2.7 to use TLS
The modern implementation of ssl using SSLContext appeared in
Python 2.7.9. Previous versions can use encrypted connections but
cannot precisely configure it.

Fixes #301
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment